package se.tada.preproc;

class UnknownDirective extends Unit
{
	public UnknownDirective(PreProcessor owner, String fileName, int startLine)
	{
		super(owner, fileName, startLine);
	}

	public void expand() throws ParseException
	{
		this.parseError("unknown directive: " + m_name);
		super.expand();
	}

	public boolean isSignificant()
	{
		return !m_owner.doingDependencyCheck();
	}

	public void setDirectiveName(String aName)
	{
		m_name = aName;
	}

	public int parse(char[] buf, int bIdx)
	{
		// Scan until next nonescaped newline.
		//
		int[] lcnt = new int[1];
		bIdx = skipToStartOfLine(buf, bIdx, lcnt);
		m_lineCount += lcnt[0];
		return bIdx;
	}

	private String	m_name;
}
