package se.tada.util.eval;

public class BitNotOp extends UnaryOp
{
	static public final BitNotOp instance = new BitNotOp();

	protected final Object doIt(byte val)
	{
		return new Byte((byte)~val);
	}

	protected final Object doIt(short val)
	{
		return new Short((short)~val);
	}

	protected final Object doIt(int val)
	{
		return new Integer(~val);
	}

	protected final Object doIt(long val)
	{
		return new Long(~val);
	}

	protected final Object doIt(float val)
	{
		throw new UnsupportedOperationException("float BitNot");
	}

	protected final Object doIt(double val)
	{
		throw new UnsupportedOperationException("double BitNot");
	}
}