package se.tada.util.eval;

public class BitXorOp extends BinaryOp
{
	static public final BitXorOp instance = new BitXorOp();

	protected final Object doIt(byte v1, byte v2)
	{
		return new Byte((byte)(v1 ^ v2));
	}

	protected final Object doIt(short v1, short v2)
	{
		return new Short((byte)(v1 ^ v2));
	}

	protected final Object doIt(int v1, int v2)
	{
		return new Integer(v1 ^ v2);
	}

	protected final Object doIt(long v1, long v2)
	{
		return new Long(v1 ^ v2);
	}

	protected final Object doIt(float v1, float v2)
	{
		throw new UnsupportedOperationException("float BitXor");
	}

	protected final Object doIt(double v1, double v2)
	{
		throw new UnsupportedOperationException("double BitXor");
	}

	protected final Object doIt(String v1, String v2)
	{
		throw new UnsupportedOperationException("String BitXor");
	}
}