package se.tada.util.eval;

import java.util.Map;

public class Literal extends Expression
{
	private final Object m_value;

	public Literal(Object val)
	{
		m_value = val;
	}

	public Object eval(Map ctx)
	{
		return m_value;
	}
	
	protected boolean isConstant()
	{
		return true;
	}

	protected Expression resolve()
	{
		return this;
	}
}