package se.tada.util.printf;

public class OctalIntFormat extends ExtIntFormat
{
	private static final long serialVersionUID = 563937565408727599L;

	public OctalIntFormat(int prefixType, char size)
	{
		super(prefixType, size);
	}

	protected String makeString(long val)
	{
		return (val < 0) ? toStringUnsigned(val, 8) : Long.toString(val, 8);
	}
}