/*
 * This file contains software that has been made available under The BSD
 * license. Use and distribution hereof are subject to the restrictions set
 * forth therein.
 * 
 * Copyright (c) 2004 TADA AB - Taby Sweden
 * All Rights Reserved
 */
package se.tada.util.eval;

/**
 * @author Thomas Hallgren
 */
public class EvalException extends Exception
{
	/**
	 * Comment for <code>serialVersionUID</code>
	 */
	private static final long	serialVersionUID	= -8945756657116991368L;

	public EvalException()
	{
		super();
	}

	/**
	 * @param message
	 */
	public EvalException(String message)
	{
		super(message);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public EvalException(String message, Throwable cause)
	{
		super(message, cause);
	}

	/**
	 * @param cause
	 */
	public EvalException(Throwable cause)
	{
		super(cause);
	}
}
