package se.tada.util.eval;

public class GreaterEqualOp extends BinaryOp
{
	static public final GreaterEqualOp instance = new GreaterEqualOp();

	protected final Object doIt(byte v1, byte v2)
	{
		return (v1 >= v2) ? Boolean.TRUE : Boolean.FALSE;
	}

	protected final Object doIt(short v1, short v2)
	{
		return (v1 >= v2) ? Boolean.TRUE : Boolean.FALSE;
	}

	protected final Object doIt(int v1, int v2)
	{
		return (v1 >= v2) ? Boolean.TRUE : Boolean.FALSE;
	}

	protected final Object doIt(long v1, long v2)
	{
		return (v1 >= v2) ? Boolean.TRUE : Boolean.FALSE;
	}

	protected final Object doIt(float v1, float v2)
	{
		return (v1 >= v2) ? Boolean.TRUE : Boolean.FALSE;
	}

	protected final Object doIt(double v1, double v2)
	{
		return (v1 >= v2) ? Boolean.TRUE : Boolean.FALSE;
	}

	protected final Object doIt(String v1, String v2)
	{
		return (v1.compareTo(v2) >= 0) ? Boolean.TRUE : Boolean.FALSE;
	}
}