package se.tada.util.eval;

import java.util.Map;

public class Identifier extends Expression
{
	private String m_id;

	public Identifier(String key)
	{
		m_id = key.intern();
	}

	public Object eval(Map ctx)
	{
		return m_id;
	}
	
	protected boolean isConstant()
	{
		return true;
	}

	protected Expression resolve()
	{
		return this;
	}
}