package se.tada.util.eval;

public class NegateOp extends UnaryOp
{
	static public final NegateOp instance = new NegateOp();

	protected final Object doIt(byte val)
	{
		return new Byte((byte)-val);
	}

	protected final Object doIt(short val)
	{
		return new Short((short)-val);
	}

	protected final Object doIt(int val)
	{
		return new Integer(-val);
	}

	protected final Object doIt(long val)
	{
		return new Long(-val);
	}

	protected final Object doIt(float val)
	{
		return new Float(-val);
	}

	protected final Object doIt(double val)
	{
		return new Double(-val);
	}
}