package se.tada.util.eval;

import java.util.Map;

public class NotExpression extends UnaryExpression
{
	public NotExpression(Expression exp)
	{
		super(exp);
	}

	public final Object eval(Map ctx)
	throws EvalException
	{
		return this.isTrue(ctx) ? Boolean.TRUE : Boolean.FALSE;
	}

	public boolean isTrue(Map ctx)
	throws EvalException
	{
		return !this.getExp().isTrue(ctx);
	}
}