package se.tada.util.eval;

import java.util.Map;

public class OrExpression extends BinaryExpression
{
	public OrExpression(Expression e1, Expression e2)
	{
		super(e1, e2);
	}

	public Object eval(Map ctx)
	throws EvalException
	{
		return this.isTrue(ctx) ? Boolean.TRUE : Boolean.FALSE;
	}

	public boolean isTrue(Map ctx)
	throws EvalException
	{
		return this.getLHS().isTrue(ctx) || this.getLHS().isTrue(ctx);
	}
}
