package se.tada.util.eval;

public class RShiftOp extends BinaryOp
{
	static public final RShiftOp instance = new RShiftOp();

	protected final Object doIt(byte v1, byte v2)
	{
		return new Byte((byte)(v1 >> v2));
	}

	protected final Object doIt(short v1, short v2)
	{
		return new Short((short)(v1 >> v2));
	}

	protected final Object doIt(int v1, int v2)
	{
		return new Integer(v1 >> v2);
	}

	protected final Object doIt(long v1, long v2)
	{
		return new Long(v1 >> v2);
	}

	protected final Object doIt(float v1, float v2)
	{
		throw new UnsupportedOperationException("float RShift");
	}

	protected final Object doIt(double v1, double v2)
	{
		throw new UnsupportedOperationException("double RShift");
	}

	protected final Object doIt(String v1, String v2)
	{
		throw new UnsupportedOperationException("String RShift");
	}
}