package se.tada.util.eval;

import java.util.Map;

public class TrueIfDefined extends Expression
{
	private final String m_key;

	public TrueIfDefined(String key)
	{
		m_key = key;
	}

	public Object eval(Map ctx)
	{
		return this.isTrue(ctx) ? Boolean.TRUE : Boolean.FALSE;
	}

	public boolean isTrue(Map ctx)
	{
		return ctx.containsKey(m_key);
	}
}