package se.tada.util.eval;

public abstract class UnaryExpression extends Expression
{
	private final Expression m_exp;

	protected UnaryExpression(Expression exp)
	{
		m_exp = exp;
	}

	/**
	 * @return Returns the exp.
	 */
	public final Expression getExp()
	{
		return m_exp;
	}

	protected boolean isConstant()
	{
		return m_exp.isConstant();
	}
}