package se.tada.util.eval;

import java.util.Map;

public class UnaryOpExpression extends UnaryExpression
{
	private final UnaryOp m_op;

	public UnaryOpExpression(UnaryOp op, Expression e)
	{
		super(e);
		m_op = op;
	}

	public Object eval(Map ctx)
	throws EvalException
	{
		return m_op.execute(this.getExp().eval(ctx));
	}
}