package se.tada.util.printf;

public class GenericFloatFormat extends FloatFormat
{
	private static final long serialVersionUID = 6482065733422134890L;

	public GenericFloatFormat(int prefixType, boolean sharp, boolean uppercase)
	{
		super(prefixType, sharp, uppercase);
	}

	protected String makeString(long mantissa, int exponent, int precision)
	{
		// The e format is used only when the exponent of the value is
		// less than 4 or greater than or equal to the precision argument.
		//
		return (exponent < -4 || exponent >= precision) ? makeExpString(
				mantissa, exponent, precision, true) : makeDecString(mantissa,
				exponent, precision, true);
	}
}