package se.tada.util.printf;

public class HexIntFormat extends ExtIntFormat
{
	private static final long serialVersionUID = 5596973093775307483L;
	private final boolean m_uppercase;

	public HexIntFormat(int prefixType, char size, boolean uppercase)
	{
		super(prefixType, size);
		m_uppercase = uppercase;
	}

	public boolean isUppercase()
	{
		return m_uppercase;
	}

	protected String makeString(long val)
	{
		String v = (val < 0) ? toStringUnsigned(val, 16) : Long.toString(val,
				16);

		if(m_uppercase)
			v = v.toUpperCase();
		return v;
	}
}