package se.tada.util.printf;

import java.io.IOException;
import java.io.Writer;
import java.io.StringWriter;
import java.text.Format;
import java.text.FieldPosition;

public abstract class Part extends Format
{
	public StringBuffer format(Object obj, StringBuffer out, FieldPosition pos)
	{
		StringWriter v = new StringWriter();
		try
		{
			this.format(obj, v);
		}
		catch(IOException e)
		{
		}
		out.append(v.toString());
		return out;
	}

	public abstract void format(Object obj, Writer out) throws IOException;

	public abstract int getRequiredNumberOfArguments();
}