package se.tada.util.printf;

import java.io.IOException;
import java.io.Writer;
import java.text.ParsePosition;

public class SimpleTextFormat extends Part
{
	private static final long serialVersionUID = -2017268890189655947L;
	private final String m_text;

	public SimpleTextFormat(String txt)
	{
		m_text = txt;
	}

	public void format(Object obj, Writer out) throws IOException
	{
		out.write(m_text);
	}

	public int getRequiredNumberOfArguments()
	{
		return 0;
	}

	public Object parseObject(String source, ParsePosition status)
	{
		// This method is derived from class java.text.Format
		// to do: code goes here
		return null;
	}
}